# NOTE: it's totally different than libmimedir used in gnome-pim
#       (http://me.in-berlin.de/~jroger/gnome-pim/ up to 0.2.1 version)
Summary:	RFC 2425 implementation
Summary(pl.UTF-8):	Implementacja RFC 2425
Name:		libmimedir-vlm
Version:	0.5.1
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libmimedir/libmimedir-%{version}.tar.gz
# Source0-md5:	6e4df3be7f637496ffb1707589b3e4d2
Patch0:		%{name}-shared.patch
URL:		http://libmimedir.sourceforge.net/
BuildRequires:	bison
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implementation of RFC 2425 (MIME Directory Profile) written by Lev
Walkin.

%description -l pl.UTF-8
Implementacja RFC 2425 (MIME Directory Profile). Autorem tej wersji
jest Lev Walkin.

%package devel
Summary:	Header file for libmimedir library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libmimedir
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for libmimedir library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libmimedir.

%package static
Summary:	Static libmimedir library
Summary(pl.UTF-8):	Statyczna biblioteka libmimedir
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmimedir library.

%description static -l pl.UTF-8
Statyczna biblioteka libmimedir.

%prep
%setup -q -n libmimedir-%{version}
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files 
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libmimedir-vlm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmimedir-vlm.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmimedir-vlm.so
%{_libdir}/libmimedir-vlm.la
%{_includedir}/libmimedir.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libmimedir-vlm.a
%changelog
* Mon May 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmimedir-vlm.git;a=log;h=master

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> 6842b1c
- release 2 (by relup.sh)

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 8cc4d6d
- updated to 0.5.1
- updated shared patch (shared lib is now upstream, now it renames libmimedir to libmimedir-vlm and adds DESTDIR support)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 2c53633
- release 4 (by relup.sh)

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> 535e9fe
- package ghost lib
- rel 3

* Fri May 16 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 4ea9e57
- rel.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 457447f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 77a82f3
- converted to UTF-8

* Tue Oct 25 2005 Jakub Bogusz <qboosh@pld-linux.org> 1a0459a
- updated to 0.4, updated shared patch

* Tue Oct 25 2005 Jakub Bogusz <qboosh@pld-linux.org> 66b0a99
- updated for 0.4

* Sun Dec 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 6093588
- replaced destdir patch by shared patch, build shared lib (PIC needed)

* Sun Dec 26 2004 Jakub Bogusz <qboosh@pld-linux.org> e404543
- obsoleted by libmimedir-vlm-shared.patch

* Sun Dec 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 2eb84fc
- build shared lib, rename, DESTDIR

* Sat Dec 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 8aa4fa7
- rename lib to libmimedir-vlm.a to avoid conflict with libmimedir

* Sat Dec 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 1236ef2
- copied from libmimedir.spec, renamed to libmimedir-vlm

* Tue Nov 30 2004 tiwek <tiwek@pld-linux.org> 83c67f7
- DESTDIR add to MAkefile

